/***********************************
   __|    \    |     |     __|  _ \ \ \  / 
  (_ |   _ \   |     |     _|     /  \  /  
 \___| _/  _\ ____| ____| ___| _|_\   _|   

Gallery Wrap & Nav.
***********************************/
/*#gallerie{
	padding: 0 20px;
	
	@include bp(tablet){
		padding: 0;
	}
}*/


/***********************************
 GALLERY LIST
***********************************/
/** Masonry Layout **/
#gallery--list{
	
	& .grid--galleries{
		max-width: 1370px;
		margin: 80px auto;
	}

	& .grid--item{
		
		opacity: 0;
		width: 100%;
		margin: 0 0 110px;
		padding: 0 30px;
		transition: opacity 0.15s ease-in-out;

		&.visible{
			opacity: 1;
		}

	}

	& .grid--sizer{
		width: 100%;
	}
	
	@include bp(tablet){
		
		& .grid--sizer{
			width: percentage(1/3);
		}

		& .grid--item{
			width: percentage(1/3);
			padding: 0 70px;
		}
		
	}
}

.grid--item-content{
	position: relative;
	z-index: 3;
	//bottom: 0;
	//text-align: center;

	& img{
		display: block;
		position: relative;
		z-index: 2;
	}

	& .video--wrapper{
		position: relative;
		z-index: 2;
	}

	&:after{
		opacity: 0;
		position: absolute;
		display: block;
		content: '';
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background-color: #000000;
		z-index: 2;
		transition: all 0.3s ease-in-out;
	}

	&:hover{
		
		& .grid--item-icon{
			transform: scale(1);
		}

		&:after{
			opacity: 0.1;
		}
	}

}

.grid--item-title{
	color: $grey;
	position: absolute;
	left: 0;
	right: $gridGutter;
	bottom: 0;
	@include font(14);
	font-weight: 300;
	width: 100%;
	padding: 10px 0 0;
	text-transform: uppercase;
	transform: translate(0,100%);
	transition: color .15s ease-in-out;
	z-index: 3;
}

.grid--item-icon{
	display: block;
	position: absolute;
	right: $gridGutter;
	bottom: $gridGutter;
	z-index: 4;
	transform: scale(0);
	transition: all .1s ease-out;
}


/***********************************
 GALLERY SINGLE
***********************************/
#gallery{
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	width: 100%;
	height: 100%;
	max-height: 100%;
	z-index: 99;
	background-color: #FFF;
}

.swiper-container,
.swiper-wrapper{
	height: 100%;
	max-height: 100%;
}

.swiper-wrapper{
	height: 100%;
}

.swiper-slide{

	padding: 50px;
	height: 100%;
	text-align: center;
	overflow: auto;

	& img{
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%,-50%);
	}
	
	& .video--wrapper{
		position: relative;
		width: 100%;
		//max-width: 700px;
		height: 100%;
		margin: 0 auto;
	}
	
	& .video{
		position: absolute;
		top: 50%;
		left: 50%;
		width: auto;
		//max-width: 100%;
		max-width: 700px;
		height: auto;
		max-height: 100%;
		transform: translate(-50%, -50%);
		background: transparent !important;
	}
	
	& .jwplayer{
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%,-50%);
		margin: 0 auto;
		z-index: 19;

		&.jw-flag-fullscreen{
			transform: none;
		}
	}
	
	&.slide-video{
		z-index: 10;
	}

	&.video{

		.video-js{
			margin: 0 auto;
		}
	}
	
	@include bp(tablet){
		
		& img{
			position: static;
			//display: block;
			width:auto;
			//max-width: 100%;
			max-height:100%;
			transform: none;
		}
	}

}

.gallery--title{
	position: absolute;
	top: 15px;
	right: 15px;
	@include font(16);
	font-weight: 300;
	text-transform: uppercase;
	z-index: 100;
	//transform: translate(-50%,0);
}

.swiper--nav{
	
	@include bp(tablet){
		position: absolute;
		top: 50%;
		right: 50px;
		//bottom: 50px;
		//width: 100px;
		transform: translate(0,-50%);
		z-index: 11;
		
		& button:focus{
			outline: 0;
		}
		
	}
}

.swiper--nav-previous{
	cursor: pointer;
	position: relative;
	display: inline-block;
	left: -31px;
	width: 21px;
	height: 30px;
	margin: 0 0 10px;
	text-indent: -9999px;
	opacity: 0.5;
	border: 0;
	background: url('images/nav-previous.svg') transparent center center no-repeat;
	background-size: cover;
	
	@include bp(tablet){
		display: block;
	}
}

.swiper--nav-next{
	cursor: pointer;
	position: relative;
	display: inline-block;
	width: 21px;
	height: 30px;
	text-indent: -9999px;
	opacity: 0.5;
	border: 0;
	background: url('images/nav-next.svg') transparent center center no-repeat;
	background-size: cover;
	
	@include bp(tablet){
		display: block;
	}
}

.gallery--index{
	position: relative;
	display: inline-block;
	left: 10px;
	@include font(15);
	font-weight: 300;
	
	@include bp(tablet){
		top: 15px;
		left: -5px;
	}
}

.gallery--total{
	position: relative;
	display: inline-block;
	@include font(15);
	font-weight: 300;
	
	@include bp(tablet){
		top: 30px;
		right: 20px;
	}
}